package dev.model;

import java.time.LocalDateTime;

public class Order {
    private int id;
    private int userId;
    private LocalDateTime createdAt;
    private double totalPrice;

    public Order() {}

    public Order(int userId, double totalPrice) {
        this.userId = userId;
        this.totalPrice = totalPrice;
        this.createdAt = LocalDateTime.now();
    }

    public int getId(){ return id; }
    public void setId(int id){ this.id = id; }

    public int getUserId() { return userId; }
    public void setUserId(int uid){ this.userId = uid; }

    public LocalDateTime getCreatedAt(){ return createdAt; }
    public void setCreatedAt(LocalDateTime t){ this.createdAt = t; }

    public double getTotalPrice(){ return totalPrice; }
    public void setTotalPrice(double p){ this.totalPrice = p; }
}